UNIT mTManAnwendung;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses Classes, Controls, Forms, StdCtrls, mTManAutomat;
//uses mTForm ??

type
   TManAnwendung = CLASS(TForm)

     // published Attribute
        btnAkzeptanzPruefung : TButton;
        btnReset : TButton;
        edtAkzeptanzAusgabe : TEdit;
        edtEingabe : TEdit;
        memInfo : TMemo;

     // published Methoden
        procedure btnAkzeptanzPruefungClick (Sender: TObject);
        procedure btnResetClick (Sender: TObject);
        procedure FormClose (Sender: TObject; VAR Action: TCloseAction);
        procedure FormCreate (Sender: TObject);

     // weitere Attribute
     private
        HatErkennenderAutomat : TManAutomat;

     //Objektbeziehungen:
        // hatTErkennenderAutomat : TErkennenderAutomat;

   end;

var
  ManAnwendung:  TManAnwendung;

implementation

{$R *.DFM}

//+---------------------------------------------------------------------
//|         TTestAnwendung: Methodendefinition 
//+---------------------------------------------------------------------

//-------- btnAkzeptanzPruefungClick (published) --------------------------
procedure TManAnwendung.btnAkzeptanzPruefungClick (Sender: TObject);
var
  Eingabe: string;
begin
  Eingabe := edtEingabe.Text;
  while Length(Eingabe) > 0 do
  begin
    HatErkennenderAutomat.GibEin(Eingabe[1]);
    Eingabe := Copy(Eingabe, 2, Length(Eingabe) - 1);
  end;
  if HatErkennenderAutomat.IstAkzeptiert then
    edtAkzeptanzAusgabe.Text := 'akzeptiert'
  else
    edtAkzeptanzAusgabe.Text := 'nicht akzeptiert';
  HatErkennenderAutomat.Reset;
end;

//-------- btnResetClick (published) --------------------------------------
procedure TManAnwendung.btnResetClick (Sender: TObject);
begin
  edtEingabe.Text := '';
  edtAkzeptanzAusgabe.Text := '';
  HatErkennenderAutomat.Reset;
end;

//-------- FormClose (published) ------------------------------------------
procedure TManAnwendung.FormClose (Sender: TObject; VAR Action: TCloseAction);
begin
  HatErkennenderAutomat.GibFrei;
end;

//-------- FormCreate (published) -----------------------------------------
procedure TManAnwendung.FormCreate (Sender: TObject);
begin
  HatErkennenderAutomat := TManAutomat.Init;
end;

end.
